Announcement

Collapse
No announcement yet.

Failed getting InterfaceStatus from Meiku

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Failed getting InterfaceStatus from Meiku

    I am trying to install the Meiku Roku interface... would like to buy it while it is on sale.

    After installing it the plugin is listed in the manage plugin list, but the status as the following warning:

    WARNING: Failed getting InterfaceStatus from MeiKu - the interface was not found in the list of active interfaces, the list may need to be refreshed.

    In the log is a message:

    Nov-30 2:01:01 PM Plug-In Finished initializing plug-in MeiKu
    Nov-30 2:00:54 PM Error Starting plug-in exe process: The specified executable is not a valid application for this OS platform.
    Nov-30 2:00:54 PM Plug-In Interface MeiKu is running as a trial, 29 days remaining.

    No devices are created.

    Please help if you can.

    Thanks, Mike

  • #2
    Originally posted by mhiliger View Post
    I am trying to install the Meiku Roku interface... would like to buy it while it is on sale.

    After installing it the plugin is listed in the manage plugin list, but the status as the following warning:

    WARNING: Failed getting InterfaceStatus from MeiKu - the interface was not found in the list of active interfaces, the list may need to be refreshed.

    In the log is a message:

    Nov-30 2:01:01 PM Plug-InFinished initializing plug-in MeiKu
    Nov-30 2:00:54 PM ErrorStarting plug-in exe process: The specified executable is not a valid application for this OS platform.
    Nov-30 2:00:54 PM Plug-InInterface MeiKu is running as a trial, 29 days remaining.

    No devices are created.

    Please help if you can.

    Thanks, Mike
    Can you tell me what os you are running it on?

    Sent from my XT1585 using Tapatalk
    Thanks,
    Frank

    Comment


    • #3
      OS Version

      I am running Windows XP SP3.

      Comment


      • #4
        I can't think of a reason why it would fail in XP, but I also don't have a computer with XP to even try it on. The plugin requires .net version 4.5.2. do you have that version of .net installed on your computer?

        I looked it up and I guess officially MSFT doesn't support 4.5 on XP:

        Code:
        The .NET Framework 4.5 and later versions are not supported on Windows XP, but on Windows Vista, Windows 7 and later versions of Windows.
        
        If you need to run an app that requires the .NET Framework 4.5 or later, you will to upgrade to a later version of Windows or find another machine that has a later version of Windows. You can also contact the publisher of the app, to see if they support Windows XP with another version of their app.
        
        The .NET Framework 4 is supported on Windows XP, however, it will not run apps that require .NET Framework 4.5 or later versions.
        I can check and see if I can lower it down to 4 (which XP supports), but I'm not sure how that will affect the plugin. I will say I went with 4.5.2 because it was the default when I started the plugin.
        Thanks,
        Frank

        Comment


        • #5
          I just tried to drop it down to .net 4. Unfortunately one of the nuget packages I am using requires 4.5.2. I have already started another project where I don't use that nuget package, and I plan on migrating this plugin to that format (this was my first). It is possible I could get this working for you on XP, but I can't promise you it will be soon. If you can find a way to get 4.5.2 on XP (I saw some manual downloads online), that might work, but since it's not officially supported, I don't want to tell you to do that.

          I will put this on my list and move it up as I think there are some XP users who I don't want to leave out.
          Thanks,
          Frank

          Comment


          • #6
            Thanks for looking at this. I did look into getting .net 4.5 on my XP machine, but after doing all the reading I don't think I want to deal with the work arounds that I found.

            I think I will likely try to upgrade my machine to windows 7.

            Thanks, Mike

            Comment


            • #7
              Upgraded to windows 7 ... solved

              I upgraded my machine to windows 7 and now the plug-in is working!

              Thanks... Mike

              Comment


              • #8
                I'm glad you got it working, but I'm sorry you had to update your OS to do it (though Win7 is damn solid if you ask me).
                Thanks,
                Frank

                Comment


                • #9
                  Upgrade

                  It was probably the push i needed to get upgraded. I agree it is a very stable os and it is supported I think through 2020. XP was out of support so time to go.

                  Thanks, Mike

                  Comment


                  • #10
                    All Microsoft needs to figure out now is how to make every version as good as XP and 7 were.
                    Thanks,
                    Frank

                    Comment


                    • #11
                      Here my 15 Homeseer custom Intel Atom touchscreen tabletop tablets all run best in embedded Windows XP or W7e. (these run Linux Ubuntu, Android or Wintel).

                      I have one HSTouch screen test running on W7e and another in W10 plus two running via digital display mini servers (AOpen PCs)...

                      W10 is too chatty kathy for HStouch.

                      And so is Android - even custom cooked builds...

                      Well that and I do not tether to my cell phones and shut them off when I am home...
                      Last edited by Pete; December 16th, 2017, 01:49 PM.
                      - Pete

                      Auto mator
                      Homeseer 3 Pro - 3.0.0.534 (Linux) - Ubuntu 18.04/W7e 64 bit Intel CPU - Mono 5.20
                      Homeseer Zee2 (Lite) - 3.0.0.534 (Linux) - Ubuntu 18.04/W7e BeeLink 4Gb BT3 Pro - Mono 5.20

                      X10, UPB, Zigbee, ZWave and Wifi MQTT automation.

                      Comment

                      Working...
                      X